Import Package
PUT
/api/{version}/services/packageHeaders
Section link for Headers| Name | Description |
|---|---|
Content-Type | multipart/form-data |
Accept | application/json (default) or application/xml |
Body Parameters
Section link for Body ParametersRequest
Section link for Requestcurl -X PUT -H "Authorization: {SESSION_ID}" \
-H "Content-Type: application/x-www-form-urlencoded" \
-F "file=my_package.vpk" \
https://myvault.veevavault.com/api/v17.1/services/packageResponse
Section link for Response{
"responseStatus": "SUCCESS",
"vaultPackage": {
"id": "0PI000000000101",
"name": "PKG-0071",
"status": "Active",
"components": [
{
"id": "0VP000000000101",
"name": "Object.perf_stats__v",
"status": "Verified",
"step": "00010"
},
{
"id": "0VP000000000102",
"name": "Object.mlr_meeting__c",
"status": "Verified",
"step": "00020"
},
{
"id": "0VP000000000103",
"name": "Object.pm_contact__v",
"status": "Verified",
"step": "00030"
},
{
"id": "0VP000000000104",
"name": "Object.pm_application__v",
"status": "Verified",
"step": "00040"
},
{
"id": "0VP000000000105",
"name": "Object.binder_metadata__v",
"status": "Verified",
"step": "00050"
},
{
"id": "0VP000000000106",
"name": "Object.application_role__v",
"status": "Verified",
"step": "00060"
},
],
"renamed": false
}
}